Main Page Packages Class Hierarchy Compound List File List Compound Members

# DocumentBuilderSettingStrategy Class Reference

List of all members.

## Public Methods
boolean | hasConflict (DocumentBuilderSettingStrategy other)
abstract void | applySetting (DocumentBuilderFactory factory, boolean value) throws DOMTestIncompatibleException
abstract boolean | hasSetting (DOMTestDocumentBuilderFactory factory)
## Static Public Attributes
final DocumentBuilderSettingStrategy | coalescing
final DocumentBuilderSettingStrategy | expandEntityReferences
final DocumentBuilderSettingStrategy | ignoringElementContentWhitespace
final DocumentBuilderSettingStrategy | namespaceAware
final DocumentBuilderSettingStrategy | validating
final DocumentBuilderSettingStrategy | signed
final DocumentBuilderSettingStrategy | hasNullString
## Protected Methods
| DocumentBuilderSettingStrategy ()

## Detailed Description

This class is a strategy that provides the mapping from an abstract setting (such as DocumentBuilderSetting.validating) to a specific DOM implementation

Author:
  Curt Arnold

Date:
  2 Feb 2002

Definition at line 29 of file DocumentBuilderSettingStrategy.java.

## Constructor & Destructor Documentation

DocumentBuilderSettingStrategy::DocumentBuilderSettingStrategy | ( |  | ) | `[inline, protected]`

| Definition at line 30 of file DocumentBuilderSettingStrategy.java.
    00030 {}

## Member Function Documentation

abstract void DocumentBuilderSettingStrategy::applySetting | ( | DocumentBuilderFactory | factory,
|  | boolean | value
| ) | `[pure virtual]`

| Referenced by DocumentBuilderSetting::applySetting().

boolean DocumentBuilderSettingStrategy::hasConflict | ( | DocumentBuilderSettingStrategy | other | ) | `[inline]`

| Definition at line 32 of file DocumentBuilderSettingStrategy.java.
    00032                                                                      {
    00033       return (other == this);
    00034     }

abstract boolean DocumentBuilderSettingStrategy::hasSetting | ( | DOMTestDocumentBuilderFactory | factory | ) | `[pure virtual]`

| Referenced by DocumentBuilderSetting::hasSetting().

## Member Data Documentation

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::coalescing`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              factory.setCoalescing(value);
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return factory.isCoalescing();
            }

          }
Definition at line 41 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::expandEntityReferences`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              factory.setExpandEntityReferences(value);
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return factory.isExpandEntityReferences();
            }
          }
Definition at line 53 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::hasNullString`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              if(!value) {
                throw new DOMTestIncompatibleException(null,DocumentBuilderSetting.notHasNullString);
              }
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return true;
            }
          }
Definition at line 113 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::ignoringElementContentWhitespace`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              factory.setIgnoringElementContentWhitespace(value);
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return factory.isIgnoringElementContentWhitespace();
            }
          }
Definition at line 64 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::namespaceAware`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              factory.setNamespaceAware(value);
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return factory.isNamespaceAware();
            }
          }
Definition at line 76 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::signed`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              if(!value) {
                throw new DOMTestIncompatibleException(null,DocumentBuilderSetting.notSigned);
              }
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return true;
            }
          }
Definition at line 100 of file DocumentBuilderSettingStrategy.java.

final DocumentBuilderSettingStrategy DocumentBuilderSettingStrategy::validating`[static]`

| Initial value:
          new DocumentBuilderSettingStrategy() {
            public void applySetting(DocumentBuilderFactory factory, boolean value)
              throws DOMTestIncompatibleException {
              factory.setValidating(value);
            }
            public boolean hasSetting(DOMTestDocumentBuilderFactory factory) {
              return factory.isValidating();
            }
          }
Definition at line 88 of file DocumentBuilderSettingStrategy.java.

The documentation for this class was generated from the following file:

- DocumentBuilderSettingStrategy.java